# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name tripleo-heat-templates
%define old_version_name queens

Name:          openstack-%{upstream_name}-compat
Summary:       Heat templates for TripleO old version support
Version:        8.3.1
Release:        1%{?dist}
License:       ASL 2.0
Group:         System Environment/Base
URL:           https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.3.1
Patch0001: 0001-Remove-console-as-opendaylight-log-mechanism.patch
Patch0002: 0002-mysql-do-not-overwrite-password-file-during-docker-p.patch
Patch0003: 0003-FFWD-Introduce-workaround-for-neutron-cisco-plugin.patch
Patch0004: 0004-mysql-sync-credentials-in-running-container-on-passw.patch
Patch0005: 0005-Fix-generation-of-configs-that-contain-password-file.patch
Patch0006: 0006-Remove-ties-between-ceilometer-and-panko.patch
Patch0007: 0007-Add-missing-RoleParameters-and-ServiceNames.patch
Patch0008: 0008-Adding-support-of-glance-cinder-store-settings.patch
Patch0009: 0009-Add-CertmongerUser-role-to-OVB-defaults.patch
Patch0010: 0010-Handle-upper-and-lower-case-system-uuids.patch
Patch0011: 0011-Tag-step-plays.patch
Patch0012: 0012-Remove-when-failed-from-debug-task-names.patch
Patch0013: 0013-certmonger-Don-t-restart-haproxy-on-cert-renewal.patch
Patch0014: 0014-Upgrades-Ensure-idempotency-of-pacemaker-services.patch
Patch0015: 0015-minor-update-move-VIP-before-stopping-pacemaker-on-a.patch
Patch0016: 0016-Don-t-look-for-primary_role-ips-in-AllNodesValidatio.patch
Patch0017: 0017-FFU-Ensure-compatibility-with-ansible-2.6.patch
Patch0018: 0018-Switch-scenario00-1-4-multinode-containers-to-Ceph-b.patch
Patch0019: 0019-Move-ipa-enrollment-to-host_prep_tasks.patch
Patch0020: 0020-Remove-the-rokcy-services-from-queens-ComputeOvsDpdk.patch
Patch0021: 0021-NFV-Support-for-config-download-to-deploy-node-with-.patch
Patch0022: 0022-stable-queens-Disable-default-config-download-method.patch
Patch0023: 0023-stable-queens-Add-a-check-for-kernels-args-update-to.patch
Patch0024: 0024-Queens-only-Remove-privileged-capabilities-from-nova.patch
Patch0025: 0025-Move-cellv2-discovery-from-control-plane-services-to.patch
Patch0026: 0026-Add-missing-entries-for-Pure-Storage-Cinder-Backend-.patch
Patch0027: 0027-Rework-nova_cell_v2_discover_host.py-to-use-nova.con.patch
Patch0028: 0028-Fix-idempotency-for-horizon-container-logs.patch
Patch0029: 0029-Switch-scenario004-multinode-containers-to-Ceph-file.patch
Patch0030: 0030-Refactored-configuration-options-for-nova-neutron-in.patch
Patch0031: 0031-Support-cephfs_volume_mode-parameter.patch
Patch0032: 0032-Reload-rsyslog-cron-when-we-change-timezones.patch
Patch0033: 0033-Tag-tasks-in-in-common-tasks.patch
Patch0034: 0034-Optional-ICMP-validation-of-controllers-and-gateways.patch
Patch0035: 0035-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0036: 0036-DOWNSTREAM-ONLY-Default-supported-services-to-docker.patch
Patch0037: 0037-Revert-DOWNSTREAM-ONLY-Default-supported-services-to.patch
Patch0038: 0038-downstream-only-environments-document-OSP-deployment.patch
Patch0039: 0039-Default-to-docker.yaml-and-docker-ha.yaml.patch
Patch0040: 0040-DOWNSTREAM-ONLY-Disabling-horizon-plugins-we-don-t-s.patch
Patch0041: 0041-downstream-only-Keep-existing-Compute-hostname.patch
Patch0042: 0042-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0043: 0043-Switch-repositories-during-FFU-when-registered-to-CD.patch
Patch0044: 0044-Make-lb-mgmt-subnet-a-class-B-subnet.patch
Patch0045: 0045-Fix-missing-parameters-in-OVN-DVR-environment-files.patch
Patch0046: 0046-Add-a-ComputePPC64LE-role.patch
Patch0047: 0047-Missing-docker.yaml-and-docker-ha.yaml-default-Downs.patch
Patch0048: 0048-Updates-Ceph-repos-from-2-to-3-automatically-during-.patch
Patch0049: 0049-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0050: 0050-Do-not-fail-FFU-if-Ceph-OSD-is-not-enabled.patch
Patch0051: 0051-downstream-only-Add-nova-scheduler-worker-support.patch
Patch0052: 0052-Don-t-mount-data-folder.patch
Patch0053: 0053-Decoupling-number-of-API-and-RPC-workers-for-neutron.patch
Patch0054: 0054-Set-the-number-of-RPC-workers-to-1-for-non-SRIOV-OVN.patch
Patch0055: 0055-Introduces-NovaComputeCpuSharedSet-parameter.patch
Patch0056: 0056-Configure-http-https-on-OVN-Metadata-service-to-talk.patch
Patch0057: 0057-Don-t-force-Horizon-s-secure-cookies-to-disabled.patch
Patch0058: 0058-Add-VLAN-as-a-supported-network-type-for-OVN.patch
Patch0059: 0059-Add-missing-TLS-configuration-for-ironic.patch
Patch0060: 0060-Convert-with_dict-tasks-to-use-loop-and-be-less-chat.patch
Patch0061: 0061-Run-chown-for-nova-log-files-on-every-run-to-fix-wro.patch
Patch0062: 0062-Fix-python-binary-lookup-regression.patch
Patch0063: 0063-OVN-Add-VLAN-to-NeutronNetworkType.patch
Patch0064: 0064-Fix-reload-notification-file.patch
Patch0065: 0065-Make-nfs-version-for-nova-ephemeral-storage-configur.patch
Patch0066: 0066-Remove-ENV-parameters-for-nova_cell_v2_discover_host.patch
Patch0067: 0067-Remove-unused-parameter-NovaPassword.patch
Patch0068: 0068-Queens-only-Install-and-configure-tmpwatch-for-log-c.patch
Patch0069: 0069-QDR-for-metrics-collection-purposes.patch
Patch0070: 0070-Enable-collectd-to-connect-to-metrics-QDR.patch
Patch0071: 0071-Fix-logging-for-metrics_qdr.patch
Patch0072: 0072-DOWNSTREAM-ONLY-Move-ipa-enrollment-to-host_prep_tas.patch
Patch0073: 0073-Add-posibilities-to-set-default-timeouts-for-octavia.patch
Patch0074: 0074-Enable-flat-network-for-ovn.patch
Patch0075: 0075-Add-support-to-ping-IPv6-metadata-IP.patch
Patch0076: 0076-Disable-a-directory-listing-of-icons-in-httpd.patch
Patch0077: 0077-Include-ssh-known_hosts-entries-for-non-default-port.patch
Patch0078: 0078-Simplify-ssh-known_hosts-entries-for-non-default-por.patch
Patch0079: 0079-Fix-usage-of-satellite-in-organization-mode.patch
Patch0080: 0080-Increase-DockerNovaComputeUlimit-default-value.patch
Patch0081: 0081-MetricsQdr-Add-InternalTLS-support.patch
Patch0082: 0082-Update-to-the-ceilometer-publish-list-partial.patch
Patch0083: 0083-Stop-iscsid-when-running-FFU-tasks.patch
Patch0084: 0084-ceilometer_agent_notification-disable-panko.yaml.patch
Patch0085: 0085-Allow-NovaRbdPoolName-to-be-role-specific.patch
Patch0086: 0086-Fixed-wrong-cinder-store-user-name.patch
Patch0087: 0087-queens-only-Remove-primary-role-constraint-to-deploy.patch
Patch0088: 0088-Avoid-concurrent-nova-cell_v2-discovery-instances.patch
Patch0089: 0089-fix-storage.yaml-to-write-environments-storage-nova-.patch
Patch0090: 0090-MetricsQdr-Build-sslProfiles-without-internal-TLS.patch
Patch0091: 0091-Run-nova-manage-as-root-to-prevent-wrong-nova-manage.patch
Patch0092: 0092-Run-nova_cell_v2_discover_hosts.py-on-every-deploy-r.patch
Patch0093: 0093-Allow-NovaNfs-parameters-to-be-role-specific.patch
Patch0094: 0094-Run-octavia-api-under-httpd.patch
Patch0095: 0095-Add-parameter-to-configure-maxdelay-in-db-purge-arch.patch
Patch0096: 0096-Provide-option-to-disable-EMC-in-puppet-vswitch.patch
Patch0097: 0097-Enable-deep_compare-of-pcmk-resources-by-default.patch
Patch0098: 0098-Be-able-to-know-when-we-are-running-inside-a-minor-u.patch
Patch0099: 0099-Do-not-restart-bundles-during-a-minor-update.patch
Patch0100: 0100-Remove-deprecated-value-used-to-set-nova_metadata_ip.patch
Patch0101: 0101-Ensure-there-is-no-redis-on-host.patch
Patch0102: 0102-Remove-OVNTunnelEncapType.patch
Patch0103: 0103-NUMA-aware-vswitches.patch
Patch0104: 0104-Add-missing-role_specific-tag-for-NUMA-aware-vswitch.patch
Patch0105: 0105-DOWNSTREAM-ONLY-Cleanup-python-neutron-tests-on-FFWD.patch
Patch0106: 0106-Enable-ndisc_notify-sysctl-setting-to-notify-of-MAC-.patch
Patch0107: 0107-Fix-NovaNfs-role-parameter-precedence-in-conditions.patch
Patch0108: 0108-Fix-IPA-client-when-doing-brownfield-deployment-of-i.patch
Patch0109: 0109-Fix-run-os-net-config.sh-to-use-ping6-for-IPv6-hostn.patch
Patch0110: 0110-Add-mkhomedir-option-to-ipa-client-install.patch
Patch0111: 0111-Add-ability-to-specify-dns-search-domains.patch
Patch0112: 0112-stable-queens-pike-Use-server_not_blacklisted-condit.patch
Patch0113: 0113-Add-domain-and-no-ntp-options-to-ipaclient.patch
Patch0114: 0114-FFWD-Fix-cell0-database-uri.patch
Patch0115: 0115-Make-krb-service-principal-metadata-per-Role.patch
Patch0116: 0116-Remove-the-iptables-rules-set-via-service_config_set.patch
Patch0117: 0117-Try-a-timesync-as-part-of-first-boot.patch
Patch0118: 0118-Deployment-Properly-pick-bootstrap-node-per-role.patch
Patch0119: 0119-Don-t-create-service-or-endpoint-for-cinder-API-v1.patch
Patch0120: 0120-Disable-cinder-s-LVM-backend-when-deploying-Pure-bac.patch
Patch0121: 0121-Stop-iscsid-when-running-FFU-tasks.patch
Patch0122: 0122-Pass-all-vars-to-deploy-steps-tasks.yaml-with-config.patch
Patch0123: 0123-Add-support-for-cinder-NFS-snapshots.patch
Patch0124: 0124-Fix-tempest-volume-tests-on-queens.patch
Patch0125: 0125-Add-GnocchiStorageS3BucketPrefix-into-deployment.patch
Patch0126: 0126-Increase-default-ulimit-values-for-Neutron-agents-co.patch
Patch0127: 0127-Set-ulimit-16384-for-Neutron-SR-IOV-container.patch
Patch0128: 0128-Add-release-check-for-ffwd-upgrade-tasks.patch
Patch0129: 0129-Modifying-the-ovs-hw-offlaod-file-to-adapt-new-chang.patch
Patch0130: 0130-Switch-Manila-API-to-httpd-and-support-TLS.patch
Patch0131: 0131-implement-default-ssh-from-ctlplane-rule-via-hiera.patch
Patch0132: 0132-Allow-ssh-from-all-for-undercloud.patch
Patch0133: 0133-Remove-deprecated-Ram-Disk-filters-in-NovaSchedulerD.patch
Patch0134: 0134-Set-arp_notify-to-match-ndisc_notify.patch
Patch0135: 0135-Only-add-internal_api_virtual_ip-if-InternalApi-in-n.patch
Patch0136: 0136-Fix-service-auth-URL-in-Octavia.patch
Patch0137: 0137-Fix-custom-network.name_lower-in-krb-service-princip.patch
Patch0138: 0138-Fix-ssl.yaml-generating-GaneshaInternal-in-the-endpo.patch
Patch0139: 0139-Fix-haproxy-stats-network-binding.patch
Patch0140: 0140-OVN-Add-env-file-to-deploy-SRIOV-with-OVN.patch
Patch0141: 0141-Add-cinder-credentials-to-nova-conf.patch
Patch0142: 0142-Fix-undefined-variable-python_interpreter.patch
Patch0143: 0143-Add-role.name-RemovalPoliciesMode-parameter.patch
Patch0144: 0144-Backport-miss-to-run-discovery-via-bootstrap_host_ex.patch
Patch0145: 0145-Remove-extraneous-line-in-kernel-sysctl-settings.patch
Patch0148: 0148-Fix-log-owner-on-computes-during-overcloud-deploy-ru.patch
Patch0151: 0151-Fix-NovaNfs-role-parameters.patch
Patch0153: 0153-Fix-ipaclient-script.patch
Patch0158: 0158-Remove-unnecessary-openldap-clients-package-from-ove.patch

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-d2to1
BuildRequires: python2-pbr

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       PyYAML
Requires:       python2-jinja2
Requires:       python2-six
Requires:      openstack-%{upstream_name}
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  These templates provide support for the clouds running the previous upstream version of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1
%patch0066 -p1
%patch0067 -p1
%patch0068 -p1
%patch0069 -p1
%patch0070 -p1
%patch0071 -p1
%patch0072 -p1
%patch0073 -p1
%patch0074 -p1
%patch0075 -p1
%patch0076 -p1
%patch0077 -p1
%patch0078 -p1
%patch0079 -p1
%patch0080 -p1
%patch0081 -p1
%patch0082 -p1
%patch0083 -p1
%patch0084 -p1
%patch0085 -p1
%patch0086 -p1
%patch0087 -p1
%patch0088 -p1
%patch0089 -p1
%patch0090 -p1
%patch0091 -p1
%patch0092 -p1
%patch0093 -p1
%patch0094 -p1
%patch0095 -p1
%patch0096 -p1
%patch0097 -p1
%patch0098 -p1
%patch0099 -p1
%patch0100 -p1
%patch0101 -p1
%patch0102 -p1
%patch0103 -p1
%patch0104 -p1
%patch0105 -p1
%patch0106 -p1
%patch0107 -p1
%patch0108 -p1
%patch0109 -p1
%patch0110 -p1
%patch0111 -p1
%patch0112 -p1
%patch0113 -p1
%patch0114 -p1
%patch0115 -p1
%patch0116 -p1
%patch0117 -p1
%patch0118 -p1
%patch0119 -p1
%patch0120 -p1
%patch0121 -p1
%patch0122 -p1
%patch0123 -p1
%patch0124 -p1
%patch0125 -p1
%patch0126 -p1
%patch0127 -p1
%patch0128 -p1
%patch0129 -p1
%patch0130 -p1
%patch0131 -p1
%patch0132 -p1
%patch0133 -p1
%patch0134 -p1
%patch0135 -p1
%patch0136 -p1
%patch0137 -p1
%patch0138 -p1
%patch0139 -p1
%patch0140 -p1
%patch0141 -p1
%patch0142 -p1
%patch0143 -p1
%patch0144 -p1
%patch0145 -p1
%patch0148 -p1
%patch0151 -p1
%patch0153 -p1
%patch0158 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar *.yaml %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar puppet %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar common %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar docker %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar firstboot %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar extraconfig %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar environments %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar network %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar deployed-server %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar ci %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar plan-samples %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar roles %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar tools %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

ln -s compat %{buildroot}/%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/openstack-%{upstream_name}/compat
%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%changelog
* Mon Jun 24 2019 Thierry Vignaud <tvignaud@redhat.com> 8.3.1-1.fc30
- Sync openstack-tripleo-heat-templates-compat with OSP 13

* Wed Feb 20 2019 Thierry Vignaud <tvignaud@redhat.com> 8.2.0-2
- Add HorizonSecureCookies to environments/ssl/enable-tls.yaml
- Bind mount /var/lib/iscsi in containers using iSCSI
- Fix typo in octavia upgrade_tasks
- Reno only - Check for available networks for a role
- Update auth parameters
- puppet_config for rabbitmq_bundle needs file_line
- Ensure unique containers names in docker-puppet
- Move [neutron] auth_url to KeystoneV3Internal
- Remove unused nova packages from host during upgrade and update
- Revert "[Ocata/Pike/Queens] Make rhel-registration scripts location absolute."
- Add Storage network to IronicConductor role
- Update kolla_config to deal with keystone fernet key rotation
- Spliting compact services in multiples lines
- Add config files/templates to integrate nsx plugin with container
- Upload amphora image in RAW format if RBD backend
- Mount config-data/puppet-generated/nova for nova_api_ensure_default_cell
- Fix horizon's iptables rules for haproxy when split off a separate role
- nova_compute fails to start in tls-everywhere configuration
- Fix misnaming of service in firewall rule
- Update tuned profile variable configuration file if it exists
- Remove invalid comment in ips-from-pool-ctlplane
- ceilometer: --skip-metering-database is gone
- Check for available networks for a role
- Remove nic for storage_mgt network
- Move set of database_connection to OctaviaBase
- Change step to start nova placement and make compute wait for it
- Allow to run docker-puppet.py with SELinux enabled
- neutron-cleanup skips ports marked skip_cleanup=true
- Fix Octavia hieradata keys
- Fix ServiceData in docker/services/aodh-api.yaml
- Add more NSX config parameters
- Rename tripleo scenario00{6,9}-multinode-oooq (queens branch)
- Sharing hypervisor /var/lib/ironic with ironic-conductor container
- Add metadata_settings to Octavia and Glance APIs
- Add role definition for ComputeOvsDpdkSriov role
- Pass parameters for TLS proxy in front of Octavia-API
- Add reflection of RpcPort to health checks
- Add OctaviaEventStreamerDriver and change default

* Tue Dec 04 2018 Jon Schlueter <jschluet@redhat.com> 8.0.7-4
- Sync openstack-tripleo-heat-templates-compat with OSP 13 (rhbz#1656228)
